from __future__ import print_function

import can
from can import interfaces
import time
can.rc['interface'] = 'vector'
can.rc['channel'] = '1'

##from can.interfaces.interface import *


def send_one():
    bus = can.interface.Bus(channel='1' , bustype='vector')
    msg = can.Message(arbitration_id=0xc0ffee,
                      data=[0, 25, 0, 1, 3, 1, 4, 1],
                      extended_id=False)
    try:
        bus.send(msg)
        print("Message sent on {}".format(bus.channel_info))
    except can.CanError:
        print("Message NOT sent")


def send_cyclic():
    bus = can.interface.Bus(channel='1' , bustype='vector')
    msg = can.Message(arbitration_id=0xc0ffee,
                      data=[0, 25, 0, 1, 3, 1, 4, 1],
                      extended_id=False)
    try:
        can.send_periodic('can0', msg, 0.020)
        print("Message sent periodically on  {}".format(bus.channel_info))
    except can.CanError:
        print("Message NOT sent")

if __name__ == "__main__":
    send_one()
    send_cyclic()
    time.sleep(10)
